Update Model

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
PUT /public/v1/projects/{projectId}/models/{modelId}

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • projectId integer(int64) Required
  • modelId integer(int64) Required
application/json

Body Required

  • id integer(int64)
  • name string
  • projectId integer(int64)
  • description string
  • isAutoUpdate boolean
  • isOriginalModel boolean
  • isArchived boolean
  • modelImportLogIds array[integer(int64)]
  • modelBaseRuleIds array[integer(int64)]
  • modelType string

    Values are BASELINE, ADVANCED_MODEL, TEST_WORKWEEK, REMOVE_RESOURCES, or EXCLUDE_PROGRESS.

  • initialDataDate string(date-time)
  • status string

    Values are COMPLETE, PENDING_DELETION, or PROCESSING.

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • id integer(int64)
    • name string
    • projectId integer(int64)
    • description string
    • isAutoUpdate boolean
    • isOriginalModel boolean
    • isArchived boolean
    • modelImportLogIds array[integer(int64)]
    • modelBaseRuleIds array[integer(int64)]
    • modelType string

      Values are BASELINE, ADVANCED_MODEL, TEST_WORKWEEK, REMOVE_RESOURCES, or EXCLUDE_PROGRESS.

    • initialDataDate string(date-time)
    • status string

      Values are COMPLETE, PENDING_DELETION, or PROCESSING.

PUT /public/v1/projects/{projectId}/models/{modelId}
curl \
 --request PUT 'https://live.smartpmtech.com/public/v1/projects/{projectId}/models/{modelId}' \
 --header "X-API-KEY: $API_KEY" \
 --header "Content-Type: application/json" \
 --header "X-COMPANY-ID: string" \
 --data '{
  "id": 42,
  "name": "string",
  "projectId": 42,
  "description": "string",
  "isAutoUpdate": true,
  "isOriginalModel": true,
  "isArchived": true,
  "modelImportLogIds": [
    42
  ],
  "modelBaseRuleIds": [
    42
  ],
  "modelType": "BASELINE",
  "initialDataDate": "2026-05-04T09:42:00Z",
  "status": "COMPLETE"
}'
Request examples
# Headers
X-COMPANY-ID: string

# Payload
{
  "id": 42,
  "name": "string",
  "projectId": 42,
  "description": "string",
  "isAutoUpdate": true,
  "isOriginalModel": true,
  "isArchived": true,
  "modelImportLogIds": [
    42
  ],
  "modelBaseRuleIds": [
    42
  ],
  "modelType": "BASELINE",
  "initialDataDate": "2026-05-04T09:42:00Z",
  "status": "COMPLETE"
}
Response examples (200)
{
  "id": 42,
  "name": "string",
  "projectId": 42,
  "description": "string",
  "isAutoUpdate": true,
  "isOriginalModel": true,
  "isArchived": true,
  "modelImportLogIds": [
    42
  ],
  "modelBaseRuleIds": [
    42
  ],
  "modelType": "BASELINE",
  "initialDataDate": "2026-05-04T09:42:00Z",
  "status": "COMPLETE"
}